Index: dhcpv6-1.0.20/etc/init.d/dhcp6r.sh
===================================================================
--- dhcpv6-1.0.20.orig/etc/init.d/dhcp6r.sh
+++ dhcpv6-1.0.20/etc/init.d/dhcp6r.sh
@@ -2,11 +2,10 @@
 #
 ### BEGIN INIT INFO
 # Provides: dhcp6r
-# Default-Start:
-# Default-Stop:
-# Should-Start:
-# Required-Start: $network
-# Required-Stop:
+# Default-Start: 3 5
+# Default-Stop:  0 1 2 6
+# Required-Start: $network $remote_fs
+# Required-Stop: $network $remote_fs
 # Short-Description: Start and stop the DHCPv6 relay agent
 # Description: dhcp6r acts as a DHCPv6 relay agent forwarding DHCPv6 messages
 #              from clients to servers and vice versa.
@@ -18,9 +17,11 @@
 # description: dhcp6r acts as a DHCPv6 relay agent forwarding DHCPv6 messages \
 #              from clients to servers and vice versa.
 # processname: dhcp6r
-# config: /etc/sysconfig/dhcp6r
+# config: /etc/sysconfig/network/dhcp6r
 
-. /etc/init.d/functions
+. /etc/rc.status
+
+rc_reset
 
 RETVAL=0
 
@@ -28,34 +29,25 @@ prog=dhcp6r
 dhcp6r=/usr/sbin/dhcp6r
 lockfile=/var/lock/subsys/dhcp6r
 
-# Check that networking is up.
-# networking is not up, return 1 for generic error
-. /etc/sysconfig/network
-[ $NETWORKING = "no" ] && exit 1
-
 start() {
     # return 5 if program is not installed
-    [ -x $dhcp6r ] || exit 5
+    [ -x $dhcp6r ] || return 5
 
     # return 6 if program is not configured
-    [ -f /etc/sysconfig/dhcp6r ] || exit 6
-    . /etc/sysconfig/dhcp6r
+    [ -f /etc/sysconfig/network/dhcp6r ] || return 6
+    . /etc/sysconfig/network/dhcp6r
 
     echo -n $"Starting $prog: "
-    daemon $dhcp6r $DHCP6RARGS
+    startproc $dhcp6r $DHCP6RARGS
     RETVAL=$?
-    echo
     [ $RETVAL -eq 0 ] && touch $lockfile
     return $RETVAL
 }
 
 stop() {
     echo -n $"Shutting down $prog: "
-    killproc $prog -TERM
+    killproc $dhcp6r
     RETVAL=$?
-    echo
-    [ $RETVAL -eq 0 ] && success || failure
-    echo
     rm -f $lockfile
     return $RETVAL
 }
@@ -64,33 +56,36 @@ stop() {
 case "$1" in
     start)
         start
-        RETVAL=$?
+        rc_status -v
         ;;
     stop)
         stop
-        RETVAL=$?
+        rc_status -v
         ;;
     restart|force-reload)
         [ -f $lockfile ] && stop
         start
-        RETVAL=$?
+        rc_status -v
         ;;
     try-restart|reload)
-        RETVAL=3
+	rc_failed 3
+	rc_status -v
         ;;
     condrestart)
         if [ -f $lockfile ]; then
             stop && start
+            rc_status -v
+        else
+            rc_status -s
         fi
         ;;
     status)
-        status dhcp6r
-        RETVAL=$?
+    	checkproc $dhcp6r
+    	rc_status -v
         ;;
     *)
         echo $"Usage: $0 {start|stop|restart|try-restart|reload|force-reload|status}"
-        RETVAL=3
+        rc_failed 3
         ;;
 esac
-
-exit $RETVAL
+rc_exit
\ No newline at end of file
Index: dhcpv6-1.0.20/etc/init.d/dhcp6s.sh
===================================================================
--- dhcpv6-1.0.20.orig/etc/init.d/dhcp6s.sh
+++ dhcpv6-1.0.20/etc/init.d/dhcp6s.sh
@@ -2,11 +2,10 @@
 #
 ### BEGIN INIT INFO
 # Provides: dhcp6s
-# Default-Start:
-# Default-Stop:
-# Should-Start:
-# Required-Start: $network
-# Required-Stop:
+# Default-Start: 3 5
+# Default-Stop:  0 1 2 6
+# Required-Start: $network $remote_fs
+# Required-Stop:  $network $remote_fs
 # Short-Description: Start and stop the DHCPv6 server agent
 # Description: dhcp6s provides IPv6 addresses and prefix assignment
 #              administrative policy and configuration information for
@@ -25,9 +24,12 @@
 #              addresses, or ntp server addresses.
 # processname: dhcp6s
 # config: /etc/dhcp6s.conf
-# config: /etc/sysconfig/dhcp6s
+# config: /etc/sysconfig/network/dhcp6s
+
+. /etc/rc.status
+
+rc_reset
 
-. /etc/init.d/functions
 
 RETVAL=0
 
@@ -35,39 +37,30 @@ prog=dhcp6s
 dhcp6s=/usr/sbin/dhcp6s
 lockfile=/var/lock/subsys/dhcp6s
 
-# Check that networking is up.
-# networking is not up, return 1 for generic error
-. /etc/sysconfig/network
-[ $NETWORKING = "no" ] && exit 1
-
 start() {
     # return 5 if program is not installed
-    [ -x $dhcp6s ] || exit 5
+    [ -x $dhcp6s ] || return 5
 
     # return 6 if program is not configured
-    [ -f /etc/dhcp6s.conf ] || exit 6
-    [ -f /etc/sysconfig/dhcp6s ] || exit 6
-    . /etc/sysconfig/dhcp6s
+    [ -f /etc/dhcp6s.conf ] || return 6
+    [ -f /etc/sysconfig/network/dhcp6s ] || return 6
+    . /etc/sysconfig/network/dhcp6s
 
     if [ -z "$DHCP6SIF" ]; then
         logger -s -t "$prog" -p "daemon.info" "Warning: $prog listening on ALL interfaces"
     fi
 
     echo -n $"Starting $prog: "
-    daemon $dhcp6s -c /etc/dhcp6s.conf $DHCP6SARGS $DHCP6SIF
+    startproc $dhcp6s -c /etc/dhcp6s.conf $DHCP6SARGS $DHCP6SIF
     RETVAL=$?
-    echo
     [ $RETVAL -eq 0 ] && touch $lockfile
     return $RETVAL
 }
 
 stop() {
     echo -n $"Shutting down $prog: "
-    killproc $prog -TERM
+    killproc $dhcp6s
     RETVAL=$?
-    echo
-    [ $RETVAL -eq 0 ] && success || failure
-    echo
     rm -f $lockfile
     return $RETVAL
 }
@@ -76,33 +69,37 @@ stop() {
 case "$1" in
     start)
         start
-        RETVAL=$?
+        rc_status -v
         ;;
     stop)
         stop
-        RETVAL=$?
+        rc_status -v
         ;;
     restart|force-reload)
         [ -f $lockfile ] && stop
         start
-        RETVAL=$?
+        rc_status -v
         ;;
     try-restart|reload)
-        RETVAL=3
+        rc_failed 3
+        rc_status -v
         ;;
     condrestart)
         if [ -f $lockfile ]; then
             stop && start
+            rc_status -v
+        else
+            rc_status -s
         fi
         ;;
     status)
-        status $prog
-        RETVAL=$?
+        checkproc $dhcp6s
+        rc_status -v
         ;;
     *)
         echo $"Usage: $0 {start|stop|restart|try-restart|reload|force-reload|status}"
-        RETVAL=3
+        rc_failed 3
         ;;
 esac
 
-exit $RETVAL
+rc_exit
Index: dhcpv6-1.0.20/Makefile.am
===================================================================
--- dhcpv6-1.0.20.orig/Makefile.am
+++ dhcpv6-1.0.20/Makefile.am
@@ -14,7 +14,7 @@ MAINTAINERCLEANFILES = Makefile.in confi
                        depcomp install-sh ltmain.sh missing ABOUT-NLS \
                        INSTALL aclocal.m4 configure ylwrap $(DIST_ARCHIVES)
 
-CLEANFILES = *~ ChangeLog libdhcp6client.pc
+CLEANFILES = *~ libdhcp6client.pc
 
 MOSTLYCLEANDIRS = m4
 
Index: dhcpv6-1.0.20/etc/sysconfig/Makefile.am
===================================================================
--- dhcpv6-1.0.20.orig/etc/sysconfig/Makefile.am
+++ dhcpv6-1.0.20/etc/sysconfig/Makefile.am
@@ -8,6 +8,6 @@ MAINTAINERCLEANFILES = Makefile.in
 EXTRA_DIST = dhcp6s.sysconfig dhcp6r.sysconfig
 
 install-data-local:
-	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig
-	$(install_sh_DATA) dhcp6s.sysconfig $(DESTDIR)$(sysconfdir)/sysconfig/dhcp6s
-	$(install_sh_DATA) dhcp6r.sysconfig $(DESTDIR)$(sysconfdir)/sysconfig/dhcp6r
+	$(MKDIR_P) $(DESTDIR)$(sysconfdir)/sysconfig/network
+	$(install_sh_DATA) dhcp6s.sysconfig $(DESTDIR)$(sysconfdir)/sysconfig/network/dhcp6s
+	$(install_sh_DATA) dhcp6r.sysconfig $(DESTDIR)$(sysconfdir)/sysconfig/network/dhcp6r
Index: dhcpv6-1.0.20/etc/init.d/Makefile.am
===================================================================
--- dhcpv6-1.0.20.orig/etc/init.d/Makefile.am
+++ dhcpv6-1.0.20/etc/init.d/Makefile.am
@@ -7,7 +7,7 @@ MAINTAINERCLEANFILES = Makefile.in
 
 EXTRA_DIST = dhcp6r.sh dhcp6s.sh
 
-rc_d_dir = $(DESTDIR)$(sysconfdir)/rc.d/init.d
+rc_d_dir = $(DESTDIR)$(sysconfdir)/init.d
 
 install-data-local:
 	$(MKDIR_P) $(rc_d_dir)
